org.eclipse.wst.jsdt.chromium.debug.core.model

## Class VmResourceId

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.VmResourceId

    public class VmResourceId
    extends java.lang.Object

Id of resources loaded in V8 VM. We only know that they may have name (typically filename or URL) and/or numerical id.

### Constructor Summary

Constructors
Constructor and Description
`VmResourceId(java.lang.String name, java.lang.Object id)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`static VmResourceId` `forScript(Script script)`
`java.lang.Object` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `getVisibleName()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VmResourceId

    public VmResourceId(java.lang.String name,
                        java.lang.Object id)

### Method Detail

#### forScript

    public static VmResourceId forScript(Script script)

#### getName

    public java.lang.String getName()

#### getId

    public java.lang.Object getId()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getVisibleName

    public java.lang.String getVisibleName()